Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  abstract class ScaladocSyntaxAnalyzer[G <: Global] extends SyntaxAnalyzer
  Definition Classes
    doc
- AbstractJavaScanner
- AbstractJavaTokenData
- CommonTokenData
- ConfusedAboutBracesControl
- DocScanner
- JavaOpInfo
- JavaParser
- JavaScanner
- JavaScannerConfiguration
- JavaTokenData
- JavaUnitParser
- JavaUnitScanner
- MalformedInput
- MarkupParser
- MemberDefTraverser
- MemberPosReporter
- MissingEndTagControl
- OpInfo
- OutlineParser
- ParensAnalyzer
- Parser
- ParserCommon
- ParserPhase
- ScaladocJavaUnitParser
- ScaladocJavaUnitScanner
- ScaladocScanner
- ScaladocUnitParser
- ScaladocUnitScanner
- Scanner
- ScannerCommon
- ScannerData
- SourceFileParser
- SourceFileScanner
- StdPhase
- TokenData
- TruncatedXMLControl
- UnitParser
- UnitScanner

t

scala.tools.nsc.doc.ScaladocSyntaxAnalyzer

# ScaladocScanner

###

#### trait ScaladocScanner extends DocScanner

Source
  ScaladocAnalyzer.scala

Linear Supertypes
ScaladocSyntaxAnalyzer.DocScanner, AnyRef, Any
Known Subclasses
ScaladocJavaUnitScanner, ScaladocUnitScanner
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ScaladocScanner
2. DocScanner
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def ch: Char
   Attributes
     protected
2.  abstract def docPosition: G.Position
   Attributes
     protected

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ScaladocScanner toany2stringadd[ScaladocScanner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ScaladocScanner, B)
   Implicit
     This member is added by an implicit conversion from ScaladocScanner toArrowAssoc[ScaladocScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def beginDocComment(prefix: String): Unit
   Attributes
     protected
   Definition Classes
     ScaladocScanner → DocScanner
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def discardDocBuffer(): Unit

   To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

   To prevent doc comments attached to expressions from leaking out of scope onto the next documentable entity, they are discarded upon passing a right brace, bracket, or parenthesis.

   Definition Classes
     DocScanner
10.  def ensuring(cond: (ScaladocScanner) => Boolean, msg: => Any): ScaladocScanner
    Implicit
      This member is added by an implicit conversion from ScaladocScanner toEnsuring[ScaladocScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (ScaladocScanner) => Boolean): ScaladocScanner
    Implicit
      This member is added by an implicit conversion from ScaladocScanner toEnsuring[ScaladocScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): ScaladocScanner
    Implicit
      This member is added by an implicit conversion from ScaladocScanner toEnsuring[ScaladocScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): ScaladocScanner
    Implicit
      This member is added by an implicit conversion from ScaladocScanner toEnsuring[ScaladocScanner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def finishDocComment(): Unit
    Attributes
      protected
    Definition Classes
      ScaladocScanner → DocScanner
18.  def flushDoc(): G.DocComment
    Definition Classes
      DocScanner
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ScaladocScanner toStringFormat[ScaladocScanner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def processCommentChar(): Unit
    Attributes
      protected
    Definition Classes
      ScaladocScanner → DocScanner
27.  def registerDocComment(raw: String, pos: G.Position): Unit
    Definition Classes
      DocScanner
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ScaladocScanner, B)
   Implicit
     This member is added by an implicit conversion from ScaladocScanner toArrowAssoc[ScaladocScanner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ScaladocSyntaxAnalyzer.DocScanner

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromScaladocScanner to any2stringadd[ScaladocScanner]

### Inherited by implicit conversion StringFormat fromScaladocScanner to StringFormat[ScaladocScanner]

### Inherited by implicit conversion Ensuring fromScaladocScanner to Ensuring[ScaladocScanner]

### Inherited by implicit conversion ArrowAssoc fromScaladocScanner to ArrowAssoc[ScaladocScanner]

### Ungrouped